Advertisement
danfalck

highlight_wire_multiSelect.py

Jul 30th, 2015
315
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
Python 0.49 KB | None | 0 0
  1. import Part
  2. import Path
  3. import PathScripts
  4. from PathScripts import PathSelection
  5.  
  6. sel = PathSelection.multiSelect()
  7.  
  8. obj = FreeCAD.ActiveDocument.getObject(sel['objname'])
  9. wire = sel['pathwire']
  10.  
  11. eidx = 1
  12. elindex =[]
  13.  
  14. for e in obj.Shape.Edges:
  15.     for ew in wire.Edges:
  16.         if e.isSame(ew):
  17.             elindex.append(eidx)
  18.     eidx+=1
  19.  
  20. edlist = []
  21. for i in elindex:
  22.     edlist.append('Edge'+str(i))
  23.     Gui.Selection.addSelection(App.ActiveDocument.Fillet, ('Edge'+str(i)))
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement